DaemonForums  

Go Back   DaemonForums > NetBSD > NetBSD Package System (pkgsrc)

NetBSD Package System (pkgsrc) Installation and upgrading of packages on NetBSD.

Reply
 
Thread Tools Display Modes
  #1   (View Single Post)  
Old 14th May 2016
philo_neo71 philo_neo71 is offline
Package Pilot
 
Join Date: Jul 2009
Posts: 173
Default issue firefox

Hi,
I've Xeon quad cores with netBSD 7.0 also xfce4, when i compile the port firefox i h'ave got issue this is my output :
Code:
    -I/usr/X11R7/include/pixman-1   -fPIC -DPIC  -DPNG_NO_ASSEMBLER_CODE -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/nspr -I/usr/pkg/include/nss/nss -I/usr/X11R7/include -I/usr/X11R7/include/libdrm -I/usr/X11R7/include/freetype2 -DMOZILLA_CLIENT -include ../../mozilla-config.h -MD -MP -MF .deps/Unified_cpp_intl_uconv6.o.pp -DPNG_NO_ASSEMBLER_CODE -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/nspr -I/usr/pkg/include/nss/nss -I/usr/X11R7/include -I/usr/X11R7/include/libdrm -I/usr/X11R7/include/freetype2 -Wall -Wempty-body -Woverloaded-virtual -Wsign-compare -Wwrite-strings -Wno-invalid-offsetof -O2 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/nspr -I/usr/pkg/include/nss/nss -I/usr/X11R7/include -I/usr/X11R7/include/libdrm -I/usr/X11R7/include/freetype2 -fno-exceptions -fno-strict-aliasing -Dunix -fno-rtti -fno-exceptions -fno-math-errno -std=gnu++0x -pthread -pipe  -DNDEBUG -DTRIMMED -O2 -fomit-frame-pointer     /usr/pkgsrc/www/firefox/work.earmv6hf/build/intl/uconv/Unified_cpp_intl_uconv6.cpp
gmake[3]: Leaving directory '/usr/pkgsrc/www/firefox/work.earmv6hf/build/widget'
/usr/pkgsrc/www/firefox/work.earmv6hf/firefox-43.0/config/recurse.mk:71: recipe for target 'widget/target' failed
gmake[2]: *** [widget/target] Error 2
libintl_uconv.a.desc
rm -f libintl_uconv.a
/usr/pkgsrc/www/firefox/work.earmv6hf/build/_virtualenv/bin/python /usr/pkgsrc/www/firefox/work.earmv6hf/firefox-43.0/config/expandlibs_gen.py -o libintl_uconv.a.desc Unified_c_intl_uconv0.o Unified_cpp_intl_uconv0.o Unified_cpp_intl_uconv1.o Unified_cpp_intl_uconv2.o Unified_cpp_intl_uconv3.o Unified_cpp_intl_uconv4.o Unified_cpp_intl_uconv5.o Unified_cpp_intl_uconv6.o  
gmake[3]: Leaving directory '/usr/pkgsrc/www/firefox/work.earmv6hf/build/intl/uconv'
gmake[2]: Leaving directory '/usr/pkgsrc/www/firefox/work.earmv6hf/build'
/usr/pkgsrc/www/firefox/work.earmv6hf/firefox-43.0/config/recurse.mk:32: recipe for target 'compile' failed
gmake[1]: *** [compile] Error 2
gmake[1]: Leaving directory '/usr/pkgsrc/www/firefox/work.earmv6hf/build'
/usr/pkgsrc/www/firefox/work.earmv6hf/firefox-43.0/config/rules.mk:549: recipe for target 'all' failed
gmake: *** [all] Error 2
*** Error code 2

Stop.
make[1]: stopped in /usr/pkgsrc/www/firefox
*** Error code 1

Stop.
make: stopped in /usr/pkgsrc/www/firefox
you have mail
mdct-tulipe#

regards
phipo
Reply With Quote
  #2   (View Single Post)  
Old 14th May 2016
shep shep is offline
Rc.conf Instructor
 
Join Date: May 2008
Location: Dry and Dusty
Posts: 947
Default

This is a pkgsrc 2015Q4 issue. If you browse the link for firefox packages that have compiled on the projects pkgsrc build server you will see that firefox43 is missing.

It never built.

The project is now building 2016Q1.

You can search the pkgsrc-Bugs to see if it has been fixed and if so, what the fix was.

The other resource is http://pkgsrc.se. If you search that site for firefox in 2015Q4, you will see that the pkg has not been updated. The maintainer has moved on the firefox45 in current
Reply With Quote
  #3   (View Single Post)  
Old 16th May 2016
philo_neo71 philo_neo71 is offline
Package Pilot
 
Join Date: Jul 2009
Posts: 173
Default

Hi Shep,
I've destroy my config, and reinstall NetBSD 7.0 for ARMv6 (raspberry PI3), i installed pkgsrc2016Q1, i can compile Xfce4.
But for firefox i've issue, Then i put in /etc/mk.conf
> ALLOW_VULNERABLE_PACKAGES= yes

But the compilation stay locked, this is my output :

Code:
 make reinstall
=> Bootstrap dependency digest>=20010302: found digest-20160304
=> Checksum SHA1 OK for firefox-45.0.1.source.tar.xz
=> Checksum RMD160 OK for firefox-45.0.1.source.tar.xz
=> Checksum SHA512 OK for firefox-45.0.1.source.tar.xz
===> Installing dependencies for firefox-45.0.1
==========================================================================
The supported build options for firefox are:

        alsa debug debug-info gnome mozilla-jemalloc
        official-mozilla-branding oss pulseaudio webrtc

The currently selected options are:

        pulseaudio

You can select which build options to use by setting PKG_DEFAULT_OPTIONS
or the following variable.  Its current value is shown:

        PKG_OPTIONS.firefox (not defined)

==========================================================================
==========================================================================
The following variables will affect the build process of this package,
firefox-45.0.1.  Their current value is shown below:

        * JPEG_DEFAULT = jpeg
        * PYTHON_VERSION_DEFAULT = 27
        * SSLBASE = /usr
        * SSLCERTS = /etc/openssl/certs
        * SSLDIR = /etc/openssl
        * SSLKEYS = /etc/openssl/private

Based on these variables, the following variables have been set:

        * JPEGBASE (defined, but empty)
        * JPEG_TYPE = jpeg
        * PYPACKAGE = python27

You may want to abort the process now with CTRL-C and change their value
before continuing.  Be sure to run `/usr/bin/make clean' after
the changes.
==========================================================================
=> Tool dependency autoconf213>=2.13: found autoconf213-2.13nb5
=> Tool dependency gmake>=3.81: found gmake-4.1nb2
=> Tool dependency perl>=5.0: found perl-5.22.1
=> Tool dependency pkg-config>=0.25: found pkg-config-0.29
=> Tool dependency zip-[0-9]*: found zip-3.0nb3
=> Tool dependency zip-[0-9]*: found zip-3.0nb3
=> Tool dependency zip-[0-9]*: found zip-3.0nb3
=> Tool dependency zip-[0-9]*: found zip-3.0nb3
=> Build dependency py27-sqlite2-[0-9]*: found py27-sqlite2-2.6.3nb10
=> Build dependency x11-links>=1.01: found x11-links-1.01
=> Build dependency python27>=2.7.1nb2: found python27-2.7.11nb2
=> Full dependency libffi>=3.0.11: found libffi-3.2.1nb1
=> Full dependency nspr>=4.10.10: NOT found
=> Verifying bin-install for ../../devel/nspr
===> Binary install for nspr>=4.10.10
=> Installing nspr>=4.10.10 from /usr/pkgsrc/packages/All;ftp://ftp.NetBSD.org/pub/pkgsrc/packages/NetBSD/earmv6hf/7.99/All
pkg_add: Can't process ftp://ftp.NetBSD.org:21/pub/pkgsrc/packages/NetBSD/earmv6hf/7.99/All/nspr*: File unavailable (e.g., file not found, no access)
pkg_add: no pkg found for 'nspr>=4.10.10', sorry.
pkg_add: 1 package addition failed
=> No binary package found for nspr>=4.10.10; installing from source.
=> Bootstrap dependency digest>=20010302: found digest-20160304
=> Checksum SHA1 OK for nspr-4.12.tar.gz
=> Checksum RMD160 OK for nspr-4.12.tar.gz
=> Checksum SHA512 OK for nspr-4.12.tar.gz
===> Installing dependencies for nspr-4.12nb1
=> Tool dependency autoconf>=2.50: NOT found
=> Verifying bin-install for ../../devel/autoconf
===> Binary install for autoconf>=2.50
=> Installing autoconf>=2.50 from /usr/pkgsrc/packages/All;ftp://ftp.NetBSD.org/pub/pkgsrc/packages/NetBSD/earmv6hf/7.99/All
pkg_add: Can't process ftp://ftp.NetBSD.org:21/pub/pkgsrc/packages/NetBSD/earmv6hf/7.99/All/autoconf*: File unavailable (e.g., file not found, no access)
pkg_add: no pkg found for 'autoconf>=2.50', sorry.
pkg_add: 1 package addition failed
=> No binary package found for autoconf>=2.50; installing from source.
=> Bootstrap dependency digest>=20010302: found digest-20160304
=> Checksum SHA1 OK for autoconf-2.69.tar.gz
=> Checksum RMD160 OK for autoconf-2.69.tar.gz
=> Checksum SHA512 OK for autoconf-2.69.tar.gz
===> Installing dependencies for autoconf-2.69nb6
=> Build dependency help2man-[0-9]*: NOT found
=> Verifying bin-install for ../../converters/help2man
===> Binary install for help2man-[0-9]*
=> Installing help2man-[0-9]* from /usr/pkgsrc/packages/All;ftp://ftp.NetBSD.org/pub/pkgsrc/packages/NetBSD/earmv6hf/7.99/All
Can i do to get around this issue ?

Regards
Phipo
Reply With Quote
  #4   (View Single Post)  
Old 16th May 2016
shep shep is offline
Rc.conf Instructor
 
Join Date: May 2008
Location: Dry and Dusty
Posts: 947
Default

If you browse the directory at the bottom of the error message, you will see that the install directory does not exist at that server. The last pkgsrc in that directory is 2014Q3 and it contains no firefox packages.

So the short answer is that the developers did not get around the issue. It will be a huge investment in time and effort to do so. If you goal is to contribute to the project, NetBSD can use all the help it can get.
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
issue compilation firefox philo_neo71 NetBSD Package System (pkgsrc) 4 10th October 2015 10:49 PM
FTP issue? desreguard OpenBSD General 14 29th August 2011 04:21 PM
VPN Nat issue on 4.8 copetts OpenBSD Security 2 12th April 2011 10:34 AM
Upgrading firefox to firefox 3 -keeping plugins+bookmarks kasse FreeBSD Ports and Packages 11 5th July 2008 01:34 PM
RAM issue nikkon FreeBSD General 5 7th May 2008 04:26 AM


All times are GMT. The time now is 12:26 AM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick